#ifndef __configuration__h_
#define __configuration__h_
#include <string>
#include <fstream>
#include <math.h>
/**
Load and provide access to initialization data.
*/
class configuration
{
	public:
		configuration(std::string config_file);
		int get_width() const { return (int)ceil(x/dx); }
		int get_height() const { return (int)ceil(y/dy); }
		double get_granule() const { return granule; }
		double get_x() const { return x; }
		double get_y() const { return y; }
		double get_tend() const { return tend; }
		double get_tsample() const { return tsample; }
		double get_dx() const { return dx; }
		double get_dy() const { return dy; }
		double get_D() const { return D; }
		double get_k() const { return k; }
		void start_u_data();
		bool end_of_data();
		void next(int& x, int &y, double& value);
		~configuration(){}
	private:
		double x, y, dx, dy, D, tend, tsample, k, granule;
		std::string u_data;
		std::ifstream data;
};

#endif
